use serde::{Deserialize, Serialize};

#[derive(Clone, Debug, Deserialize, Serialize)]
pub struct LeaseResp {
    pub token: String,
}

#[derive(Clone, Debug, Deserialize, Serialize)]
pub struct AgentEnrollReq {
    pub lease: String,
    pub server: String,
    pub agent_name: String,
}

#[derive(Clone, Debug, Deserialize, Serialize)]
pub struct ServerEnrollReq {
    pub lease: String,
    pub agent_name: String,
}

#[derive(Clone, Debug, Deserialize, Serialize)]
pub struct ServerMonitorResp {
    pub cursor: Option<uuid::Uuid>,
    pub logs: Vec<String>,
}
